STRUCT MAKE_PAIR(3)

NAME
boost::xpressive::op::make_pair

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
struct make_pair {
  // member classes/structs/unions
  template<typename Sig>
  struct result {
  };
  template<typename This, typename First, typename Second>
  struct result<This(First, Second)> {
    // types
    typedef std::pair< UNCVREF(First), UNCVREF(Second)> type;
  };
  // public member functions
  template<typename First, typename Second>
    std::pair< First, Second > operator()(First const &, Second const &) const;
};

DESCRIPTION

  make_pair public member functions

    1.

    template<typename First, typename Second>
      std::pair< First, Second >
      operator()(First const & first, Second const & second) const;